Index: branches/3.3-HiveMigration/sources/HeuristicLab.Hive/HeuristicLab.Hive 3.3.sln
===================================================================
--- branches/3.3-HiveMigration/sources/HeuristicLab.Hive/HeuristicLab.Hive 3.3.sln	(revision 4335)
+++ branches/3.3-HiveMigration/sources/HeuristicLab.Hive/HeuristicLab.Hive 3.3.sln	(revision 4336)
@@ -12,7 +12,4 @@
 		{A84C0A25-13D0-40A6-924F-53556D9691DC} = {A84C0A25-13D0-40A6-924F-53556D9691DC}
 		{A04AE929-D0E1-466D-A9D3-BF3C4B2C209F} = {A04AE929-D0E1-466D-A9D3-BF3C4B2C209F}
-		{D59E852C-F205-4647-8C05-EB9ED1CF44E9} = {D59E852C-F205-4647-8C05-EB9ED1CF44E9}
-		{CE2DFB48-6A9C-4507-96C6-5FC40E92035C} = {CE2DFB48-6A9C-4507-96C6-5FC40E92035C}
-		{E3288D4B-7A51-499A-AC5B-019319CE51DC} = {E3288D4B-7A51-499A-AC5B-019319CE51DC}
 		{89F4BC52-C174-481E-9BD2-3814171020E8} = {89F4BC52-C174-481E-9BD2-3814171020E8}
 		{5CDACE54-5FB2-4344-A21C-963F63CB7C2B} = {5CDACE54-5FB2-4344-A21C-963F63CB7C2B}
@@ -24,9 +21,7 @@
 		{5010BD86-23B7-4F8C-888A-76D21AD5266A} = {5010BD86-23B7-4F8C-888A-76D21AD5266A}
 		{4F15BEA2-F494-4584-A0E5-6BA85377B313} = {4F15BEA2-F494-4584-A0E5-6BA85377B313}
-		{FD1AFEC2-7A79-45CF-9365-5195B04A2C9F} = {FD1AFEC2-7A79-45CF-9365-5195B04A2C9F}
 		{898B31CF-81DC-453B-AEB3-BDF83197A7EE} = {898B31CF-81DC-453B-AEB3-BDF83197A7EE}
 		{134F93D7-E7C8-4ECD-9923-7F63259A60D8} = {134F93D7-E7C8-4ECD-9923-7F63259A60D8}
 		{A4499DDD-D1B8-414F-98F6-903C2C71BEB0} = {A4499DDD-D1B8-414F-98F6-903C2C71BEB0}
-		{AC3D84FF-F0D7-43F0-9C99-9F8DBE087E2C} = {AC3D84FF-F0D7-43F0-9C99-9F8DBE087E2C}
 	EndProjectSection
 EndProject
@@ -39,12 +34,4 @@
 	EndProjectSection
 EndProject
-Project("{FAE04EC0-301F-11D3-BF4B-00C04F79EFBC}") = "HeuristicLab.Security.Contracts-3.3", "HeuristicLab.Security.Contracts\3.3\HeuristicLab.Security.Contracts-3.3.csproj", "{D59E852C-F205-4647-8C05-EB9ED1CF44E9}"
-EndProject
-Project("{FAE04EC0-301F-11D3-BF4B-00C04F79EFBC}") = "HeuristicLab.Security.Core-3.3", "HeuristicLab.Security.Core\3.3\HeuristicLab.Security.Core-3.3.csproj", "{CE2DFB48-6A9C-4507-96C6-5FC40E92035C}"
-EndProject
-Project("{FAE04EC0-301F-11D3-BF4B-00C04F79EFBC}") = "HeuristicLab.Security.DataAccess-3.3", "HeuristicLab.Security.DataAccess\3.3\HeuristicLab.Security.DataAccess-3.3.csproj", "{AC3D84FF-F0D7-43F0-9C99-9F8DBE087E2C}"
-EndProject
-Project("{FAE04EC0-301F-11D3-BF4B-00C04F79EFBC}") = "HeuristicLab.Security.Server-3.3", "HeuristicLab.Security.Server\3.3\HeuristicLab.Security.Server-3.3.csproj", "{E3288D4B-7A51-499A-AC5B-019319CE51DC}"
-EndProject
 Project("{FAE04EC0-301F-11D3-BF4B-00C04F79EFBC}") = "HeuristicLab.DataAccess.ADOHelper-3.3", "HeuristicLab.DataAccess.ADOHelper\3.3\HeuristicLab.DataAccess.ADOHelper-3.3.csproj", "{5CDACE54-5FB2-4344-A21C-963F63CB7C2B}"
 EndProject
@@ -67,6 +54,4 @@
 Project("{2150E333-8FDC-42A3-9474-1A3956D46DE8}") = "HeuristicLab.Hive.Server", "HeuristicLab.Hive.Server", "{E7D8EFDA-B0CB-4B62-8EAE-2CF473F14D74}"
 EndProject
-Project("{2150E333-8FDC-42A3-9474-1A3956D46DE8}") = "HeuristicLab.Security", "HeuristicLab.Security", "{3721CE4A-1148-49E1-B8DD-D9F5309AB8D9}"
-EndProject
 Project("{2150E333-8FDC-42A3-9474-1A3956D46DE8}") = "HeuristicLab.Hive", "HeuristicLab.Hive", "{84899895-AC52-4053-8A91-61753EF8E0A8}"
 EndProject
@@ -74,6 +59,4 @@
 EndProject
 Project("{FAE04EC0-301F-11D3-BF4B-00C04F79EFBC}") = "HeuristicLab.Calendar-3.3", "HeuristicLab.Calendar\3.3\HeuristicLab.Calendar-3.3.csproj", "{D17A4D6A-4CAA-4470-8A19-F42463C021FD}"
-EndProject
-Project("{FAE04EC0-301F-11D3-BF4B-00C04F79EFBC}") = "HeuristicLab.Security.ADODataAccess-3.3", "HeuristicLab.Security.ADODataAccess\3.3\HeuristicLab.Security.ADODataAccess-3.3.csproj", "{FD1AFEC2-7A79-45CF-9365-5195B04A2C9F}"
 EndProject
 Project("{FAE04EC0-301F-11D3-BF4B-00C04F79EFBC}") = "HeuristicLab.Hive.Experiment-3.3", "HeuristicLab.Hive.Experiment\3.3\HeuristicLab.Hive.Experiment-3.3.csproj", "{A84C0A25-13D0-40A6-924F-53556D9691DC}"
@@ -143,66 +126,4 @@
 		{C92AAC8C-4D88-449C-ABA5-2B935D769842}.Release|x64.ActiveCfg = Release|Any CPU
 		{C92AAC8C-4D88-449C-ABA5-2B935D769842}.Release|x86.ActiveCfg = Release|Any CPU
-		{D59E852C-F205-4647-8C05-EB9ED1CF44E9}.Debug|Any CPU.ActiveCfg = Debug|Any CPU
-		{D59E852C-F205-4647-8C05-EB9ED1CF44E9}.Debug|Any CPU.Build.0 = Debug|Any CPU
-		{D59E852C-F205-4647-8C05-EB9ED1CF44E9}.Debug|Mixed Platforms.ActiveCfg = Debug|x64
-		{D59E852C-F205-4647-8C05-EB9ED1CF44E9}.Debug|Mixed Platforms.Build.0 = Debug|x64
-		{D59E852C-F205-4647-8C05-EB9ED1CF44E9}.Debug|x64.ActiveCfg = Debug|x64
-		{D59E852C-F205-4647-8C05-EB9ED1CF44E9}.Debug|x64.Build.0 = Debug|x64
-		{D59E852C-F205-4647-8C05-EB9ED1CF44E9}.Debug|x86.ActiveCfg = Debug|x86
-		{D59E852C-F205-4647-8C05-EB9ED1CF44E9}.Debug|x86.Build.0 = Debug|x86
-		{D59E852C-F205-4647-8C05-EB9ED1CF44E9}.Release|Any CPU.ActiveCfg = Release|Any CPU
-		{D59E852C-F205-4647-8C05-EB9ED1CF44E9}.Release|Any CPU.Build.0 = Release|Any CPU
-		{D59E852C-F205-4647-8C05-EB9ED1CF44E9}.Release|Mixed Platforms.ActiveCfg = Release|x64
-		{D59E852C-F205-4647-8C05-EB9ED1CF44E9}.Release|Mixed Platforms.Build.0 = Release|x64
-		{D59E852C-F205-4647-8C05-EB9ED1CF44E9}.Release|x64.ActiveCfg = Release|x64
-		{D59E852C-F205-4647-8C05-EB9ED1CF44E9}.Release|x64.Build.0 = Release|x64
-		{D59E852C-F205-4647-8C05-EB9ED1CF44E9}.Release|x86.ActiveCfg = Release|x86
-		{D59E852C-F205-4647-8C05-EB9ED1CF44E9}.Release|x86.Build.0 = Release|x86
-		{CE2DFB48-6A9C-4507-96C6-5FC40E92035C}.Debug|Any CPU.ActiveCfg = Debug|Any CPU
-		{CE2DFB48-6A9C-4507-96C6-5FC40E92035C}.Debug|Any CPU.Build.0 = Debug|Any CPU
-		{CE2DFB48-6A9C-4507-96C6-5FC40E92035C}.Debug|Mixed Platforms.ActiveCfg = Debug|x64
-		{CE2DFB48-6A9C-4507-96C6-5FC40E92035C}.Debug|Mixed Platforms.Build.0 = Debug|x64
-		{CE2DFB48-6A9C-4507-96C6-5FC40E92035C}.Debug|x64.ActiveCfg = Debug|x64
-		{CE2DFB48-6A9C-4507-96C6-5FC40E92035C}.Debug|x64.Build.0 = Debug|x64
-		{CE2DFB48-6A9C-4507-96C6-5FC40E92035C}.Debug|x86.ActiveCfg = Debug|x86
-		{CE2DFB48-6A9C-4507-96C6-5FC40E92035C}.Debug|x86.Build.0 = Debug|x86
-		{CE2DFB48-6A9C-4507-96C6-5FC40E92035C}.Release|Any CPU.ActiveCfg = Release|Any CPU
-		{CE2DFB48-6A9C-4507-96C6-5FC40E92035C}.Release|Any CPU.Build.0 = Release|Any CPU
-		{CE2DFB48-6A9C-4507-96C6-5FC40E92035C}.Release|Mixed Platforms.ActiveCfg = Release|x64
-		{CE2DFB48-6A9C-4507-96C6-5FC40E92035C}.Release|Mixed Platforms.Build.0 = Release|x64
-		{CE2DFB48-6A9C-4507-96C6-5FC40E92035C}.Release|x64.ActiveCfg = Release|x64
-		{CE2DFB48-6A9C-4507-96C6-5FC40E92035C}.Release|x64.Build.0 = Release|x64
-		{CE2DFB48-6A9C-4507-96C6-5FC40E92035C}.Release|x86.ActiveCfg = Release|x86
-		{CE2DFB48-6A9C-4507-96C6-5FC40E92035C}.Release|x86.Build.0 = Release|x86
-		{AC3D84FF-F0D7-43F0-9C99-9F8DBE087E2C}.Debug|Any CPU.ActiveCfg = Debug|Any CPU
-		{AC3D84FF-F0D7-43F0-9C99-9F8DBE087E2C}.Debug|Any CPU.Build.0 = Debug|Any CPU
-		{AC3D84FF-F0D7-43F0-9C99-9F8DBE087E2C}.Debug|Mixed Platforms.ActiveCfg = Debug|x64
-		{AC3D84FF-F0D7-43F0-9C99-9F8DBE087E2C}.Debug|Mixed Platforms.Build.0 = Debug|x64
-		{AC3D84FF-F0D7-43F0-9C99-9F8DBE087E2C}.Debug|x64.ActiveCfg = Debug|x64
-		{AC3D84FF-F0D7-43F0-9C99-9F8DBE087E2C}.Debug|x64.Build.0 = Debug|x64
-		{AC3D84FF-F0D7-43F0-9C99-9F8DBE087E2C}.Debug|x86.ActiveCfg = Debug|x86
-		{AC3D84FF-F0D7-43F0-9C99-9F8DBE087E2C}.Debug|x86.Build.0 = Debug|x86
-		{AC3D84FF-F0D7-43F0-9C99-9F8DBE087E2C}.Release|Any CPU.ActiveCfg = Release|Any CPU
-		{AC3D84FF-F0D7-43F0-9C99-9F8DBE087E2C}.Release|Any CPU.Build.0 = Release|Any CPU
-		{AC3D84FF-F0D7-43F0-9C99-9F8DBE087E2C}.Release|Mixed Platforms.ActiveCfg = Release|x64
-		{AC3D84FF-F0D7-43F0-9C99-9F8DBE087E2C}.Release|Mixed Platforms.Build.0 = Release|x64
-		{AC3D84FF-F0D7-43F0-9C99-9F8DBE087E2C}.Release|x64.ActiveCfg = Release|x64
-		{AC3D84FF-F0D7-43F0-9C99-9F8DBE087E2C}.Release|x64.Build.0 = Release|x64
-		{AC3D84FF-F0D7-43F0-9C99-9F8DBE087E2C}.Release|x86.ActiveCfg = Release|x86
-		{AC3D84FF-F0D7-43F0-9C99-9F8DBE087E2C}.Release|x86.Build.0 = Release|x86
-		{E3288D4B-7A51-499A-AC5B-019319CE51DC}.Debug|Any CPU.ActiveCfg = Debug|Any CPU
-		{E3288D4B-7A51-499A-AC5B-019319CE51DC}.Debug|Any CPU.Build.0 = Debug|Any CPU
-		{E3288D4B-7A51-499A-AC5B-019319CE51DC}.Debug|Mixed Platforms.ActiveCfg = Debug|x86
-		{E3288D4B-7A51-499A-AC5B-019319CE51DC}.Debug|x64.ActiveCfg = Debug|x64
-		{E3288D4B-7A51-499A-AC5B-019319CE51DC}.Debug|x64.Build.0 = Debug|x64
-		{E3288D4B-7A51-499A-AC5B-019319CE51DC}.Debug|x86.ActiveCfg = Debug|x86
-		{E3288D4B-7A51-499A-AC5B-019319CE51DC}.Debug|x86.Build.0 = Debug|x86
-		{E3288D4B-7A51-499A-AC5B-019319CE51DC}.Release|Any CPU.ActiveCfg = Release|Any CPU
-		{E3288D4B-7A51-499A-AC5B-019319CE51DC}.Release|Any CPU.Build.0 = Release|Any CPU
-		{E3288D4B-7A51-499A-AC5B-019319CE51DC}.Release|Mixed Platforms.ActiveCfg = Release|x86
-		{E3288D4B-7A51-499A-AC5B-019319CE51DC}.Release|x64.ActiveCfg = Release|x64
-		{E3288D4B-7A51-499A-AC5B-019319CE51DC}.Release|x64.Build.0 = Release|x64
-		{E3288D4B-7A51-499A-AC5B-019319CE51DC}.Release|x86.ActiveCfg = Release|x86
-		{E3288D4B-7A51-499A-AC5B-019319CE51DC}.Release|x86.Build.0 = Release|x86
 		{5CDACE54-5FB2-4344-A21C-963F63CB7C2B}.Debug|Any CPU.ActiveCfg = Debug|Any CPU
 		{5CDACE54-5FB2-4344-A21C-963F63CB7C2B}.Debug|Any CPU.Build.0 = Debug|Any CPU
@@ -344,20 +265,4 @@
 		{D17A4D6A-4CAA-4470-8A19-F42463C021FD}.Release|x64.ActiveCfg = Release|Any CPU
 		{D17A4D6A-4CAA-4470-8A19-F42463C021FD}.Release|x86.ActiveCfg = Release|Any CPU
-		{FD1AFEC2-7A79-45CF-9365-5195B04A2C9F}.Debug|Any CPU.ActiveCfg = Debug|Any CPU
-		{FD1AFEC2-7A79-45CF-9365-5195B04A2C9F}.Debug|Any CPU.Build.0 = Debug|Any CPU
-		{FD1AFEC2-7A79-45CF-9365-5195B04A2C9F}.Debug|Mixed Platforms.ActiveCfg = Debug|x64
-		{FD1AFEC2-7A79-45CF-9365-5195B04A2C9F}.Debug|Mixed Platforms.Build.0 = Debug|x64
-		{FD1AFEC2-7A79-45CF-9365-5195B04A2C9F}.Debug|x64.ActiveCfg = Debug|x64
-		{FD1AFEC2-7A79-45CF-9365-5195B04A2C9F}.Debug|x64.Build.0 = Debug|x64
-		{FD1AFEC2-7A79-45CF-9365-5195B04A2C9F}.Debug|x86.ActiveCfg = Debug|x86
-		{FD1AFEC2-7A79-45CF-9365-5195B04A2C9F}.Debug|x86.Build.0 = Debug|x86
-		{FD1AFEC2-7A79-45CF-9365-5195B04A2C9F}.Release|Any CPU.ActiveCfg = Release|Any CPU
-		{FD1AFEC2-7A79-45CF-9365-5195B04A2C9F}.Release|Any CPU.Build.0 = Release|Any CPU
-		{FD1AFEC2-7A79-45CF-9365-5195B04A2C9F}.Release|Mixed Platforms.ActiveCfg = Release|x64
-		{FD1AFEC2-7A79-45CF-9365-5195B04A2C9F}.Release|Mixed Platforms.Build.0 = Release|x64
-		{FD1AFEC2-7A79-45CF-9365-5195B04A2C9F}.Release|x64.ActiveCfg = Release|x64
-		{FD1AFEC2-7A79-45CF-9365-5195B04A2C9F}.Release|x64.Build.0 = Release|x64
-		{FD1AFEC2-7A79-45CF-9365-5195B04A2C9F}.Release|x86.ActiveCfg = Release|x86
-		{FD1AFEC2-7A79-45CF-9365-5195B04A2C9F}.Release|x86.Build.0 = Release|x86
 		{A84C0A25-13D0-40A6-924F-53556D9691DC}.Debug|Any CPU.ActiveCfg = Debug|Any CPU
 		{A84C0A25-13D0-40A6-924F-53556D9691DC}.Debug|Any CPU.Build.0 = Debug|Any CPU
@@ -494,9 +399,4 @@
 		{4F15BEA2-F494-4584-A0E5-6BA85377B313} = {84899895-AC52-4053-8A91-61753EF8E0A8}
 		{CDAD2510-299C-4FA2-B351-9D71A5AF20B7} = {84899895-AC52-4053-8A91-61753EF8E0A8}
-		{CE2DFB48-6A9C-4507-96C6-5FC40E92035C} = {3721CE4A-1148-49E1-B8DD-D9F5309AB8D9}
-		{AC3D84FF-F0D7-43F0-9C99-9F8DBE087E2C} = {3721CE4A-1148-49E1-B8DD-D9F5309AB8D9}
-		{E3288D4B-7A51-499A-AC5B-019319CE51DC} = {3721CE4A-1148-49E1-B8DD-D9F5309AB8D9}
-		{D59E852C-F205-4647-8C05-EB9ED1CF44E9} = {3721CE4A-1148-49E1-B8DD-D9F5309AB8D9}
-		{FD1AFEC2-7A79-45CF-9365-5195B04A2C9F} = {3721CE4A-1148-49E1-B8DD-D9F5309AB8D9}
 		{9076697B-C151-46CD-95BC-1D059492B478} = {BD1DE6F6-A188-4D1F-9681-BA7104818370}
 		{5CDACE54-5FB2-4344-A21C-963F63CB7C2B} = {BD1DE6F6-A188-4D1F-9681-BA7104818370}