Index: branches/VRP/HeuristicLab.Problems.VehicleRouting/3.3/Encodings/General/Creators/MultiVRPSolutionCreator.cs
===================================================================
--- branches/VRP/HeuristicLab.Problems.VehicleRouting/3.3/Encodings/General/Creators/MultiVRPSolutionCreator.cs	(revision 4346)
+++ branches/VRP/HeuristicLab.Problems.VehicleRouting/3.3/Encodings/General/Creators/MultiVRPSolutionCreator.cs	(revision 4347)
@@ -94,5 +94,5 @@
         Parameters.Add(new LookupParameter<DoubleArray>("ServiceTime", "The service time of each customer."));
 
-        foreach (Type type in ApplicationManager.Manager.GetTypes(typeof(IVRPCreator))) {
+        foreach (Type type in ApplicationManager.Manager.GetTypes(typeof(IVRPCreator)).OrderBy(op => op.Name)) {
           if (!typeof(MultiOperator<IVRPCreator>).IsAssignableFrom(type))
             Operators.Add((IVRPCreator)Activator.CreateInstance(type), true);
Index: branches/VRP/HeuristicLab.Problems.VehicleRouting/3.3/Encodings/General/Crossovers/MultiVRPSolutionCrossover.cs
===================================================================
--- branches/VRP/HeuristicLab.Problems.VehicleRouting/3.3/Encodings/General/Crossovers/MultiVRPSolutionCrossover.cs	(revision 4346)
+++ branches/VRP/HeuristicLab.Problems.VehicleRouting/3.3/Encodings/General/Crossovers/MultiVRPSolutionCrossover.cs	(revision 4347)
@@ -101,5 +101,5 @@
       Parameters.Add(new LookupParameter<DoubleArray>("ServiceTime", "The service time of each customer."));
 
-      foreach (Type type in ApplicationManager.Manager.GetTypes(typeof(IVRPCrossover))) {
+      foreach (Type type in ApplicationManager.Manager.GetTypes(typeof(IVRPCrossover)).OrderBy(op => op.Name)) {
         if (!typeof(MultiOperator<IVRPCrossover>).IsAssignableFrom(type))
           Operators.Add((IVRPCrossover)Activator.CreateInstance(type), true);
Index: branches/VRP/HeuristicLab.Problems.VehicleRouting/3.3/Encodings/General/Manipulators/MultiVRPSolutionManipulator.cs
===================================================================
--- branches/VRP/HeuristicLab.Problems.VehicleRouting/3.3/Encodings/General/Manipulators/MultiVRPSolutionManipulator.cs	(revision 4346)
+++ branches/VRP/HeuristicLab.Problems.VehicleRouting/3.3/Encodings/General/Manipulators/MultiVRPSolutionManipulator.cs	(revision 4347)
@@ -94,7 +94,13 @@
       Parameters.Add(new LookupParameter<DoubleArray>("ServiceTime", "The service time of each customer."));
 
-      foreach (Type type in ApplicationManager.Manager.GetTypes(typeof(IVRPManipulator))) {
-        if (!typeof(MultiOperator<IVRPManipulator>).IsAssignableFrom(type))
-          Operators.Add((IVRPManipulator)Activator.CreateInstance(type), true);
+      foreach (Type type in ApplicationManager.Manager.GetTypes(typeof(IVRPManipulator)).OrderBy(op => op.Name)) {
+        if (!typeof(MultiOperator<IVRPManipulator>).IsAssignableFrom(type)) {
+          IVRPManipulator op = (IVRPManipulator)Activator.CreateInstance(type);
+          bool operatorChecked = true; 
+          if(op is HeuristicLab.Problems.VehicleRouting.Encodings.Potvin.PotvinLocalSearchManipulator || 
+            op is HeuristicLab.Problems.VehicleRouting.Encodings.Prins.PrinsLSManipulator)
+            operatorChecked = false;
+          Operators.Add(op, operatorChecked);
+        }
       }
     }
Index: branches/VRP/HeuristicLab.Problems.VehicleRouting/3.3/Encodings/General/Moves/MultiVRPMoveOperator/MultiVRPMoveGenerator.cs
===================================================================
--- branches/VRP/HeuristicLab.Problems.VehicleRouting/3.3/Encodings/General/Moves/MultiVRPMoveOperator/MultiVRPMoveGenerator.cs	(revision 4346)
+++ branches/VRP/HeuristicLab.Problems.VehicleRouting/3.3/Encodings/General/Moves/MultiVRPMoveOperator/MultiVRPMoveGenerator.cs	(revision 4347)
@@ -118,5 +118,5 @@
       Parameters.Add(new LookupParameter<IVRPMove>("VRPMove", "The generated moves."));
 
-      foreach (Type type in ApplicationManager.Manager.GetTypes(typeof(IMultiVRPMoveGenerator))) {
+      foreach (Type type in ApplicationManager.Manager.GetTypes(typeof(IMultiVRPMoveGenerator)).OrderBy(op => op.Name)) {
         if (!typeof(MultiOperator<IMultiVRPMoveGenerator>).IsAssignableFrom(type))
           Operators.Add((IMultiVRPMoveGenerator)Activator.CreateInstance(type), true);