Index: /branches/VRP/HeuristicLab.Problems.VehicleRouting.Views/3.3/VRPSolutionView.Designer.cs
===================================================================
--- /branches/VRP/HeuristicLab.Problems.VehicleRouting.Views/3.3/VRPSolutionView.Designer.cs	(revision 4348)
+++ /branches/VRP/HeuristicLab.Problems.VehicleRouting.Views/3.3/VRPSolutionView.Designer.cs	(revision 4349)
@@ -50,5 +50,5 @@
       this.valueTabPage = new System.Windows.Forms.TabPage();
       this.tourGroupBox = new System.Windows.Forms.GroupBox();
-      this.tourViewHost = new HeuristicLab.MainForm.WindowsForms.ViewHost();
+      this.tourGridView = new System.Windows.Forms.DataGridView();
       this.tabControl.SuspendLayout();
       this.visualizationTabPage.SuspendLayout();
@@ -56,4 +56,5 @@
       this.valueTabPage.SuspendLayout();
       this.tourGroupBox.SuspendLayout();
+      ((System.ComponentModel.ISupportInitialize)(this.tourGridView)).BeginInit();
       this.SuspendLayout();
       // 
@@ -100,5 +101,5 @@
       this.valueTabPage.Name = "valueTabPage";
       this.valueTabPage.Padding = new System.Windows.Forms.Padding(3);
-      this.valueTabPage.Size = new System.Drawing.Size(415, 398);
+      this.valueTabPage.Size = new System.Drawing.Size(415, 532);
       this.valueTabPage.TabIndex = 1;
       this.valueTabPage.Text = "Value";
@@ -107,26 +108,21 @@
       // tourGroupBox
       // 
-      this.tourGroupBox.Controls.Add(this.tourViewHost);
+      this.tourGroupBox.Controls.Add(this.tourGridView);
       this.tourGroupBox.Dock = System.Windows.Forms.DockStyle.Fill;
       this.tourGroupBox.Location = new System.Drawing.Point(3, 3);
       this.tourGroupBox.Name = "tourGroupBox";
-      this.tourGroupBox.Size = new System.Drawing.Size(409, 392);
+      this.tourGroupBox.Size = new System.Drawing.Size(409, 526);
       this.tourGroupBox.TabIndex = 0;
       this.tourGroupBox.TabStop = false;
       this.tourGroupBox.Text = "Tour";
       // 
-      // tourViewHost
+      // tourGridView
       // 
-      this.tourViewHost.Anchor = ((System.Windows.Forms.AnchorStyles)((((System.Windows.Forms.AnchorStyles.Top | System.Windows.Forms.AnchorStyles.Bottom)
-                  | System.Windows.Forms.AnchorStyles.Left)
-                  | System.Windows.Forms.AnchorStyles.Right)));
-      this.tourViewHost.Caption = "View";
-      this.tourViewHost.Content = null;
-      this.tourViewHost.Location = new System.Drawing.Point(6, 19);
-      this.tourViewHost.Name = "tourViewHost";
-      this.tourViewHost.ReadOnly = false;
-      this.tourViewHost.Size = new System.Drawing.Size(397, 367);
-      this.tourViewHost.TabIndex = 0;
-      this.tourViewHost.ViewType = null;
+      this.tourGridView.ColumnHeadersHeightSizeMode = System.Windows.Forms.DataGridViewColumnHeadersHeightSizeMode.AutoSize;
+      this.tourGridView.Dock = System.Windows.Forms.DockStyle.Fill;
+      this.tourGridView.Location = new System.Drawing.Point(3, 16);
+      this.tourGridView.Name = "tourGridView";
+      this.tourGridView.Size = new System.Drawing.Size(403, 507);
+      this.tourGridView.TabIndex = 0;
       // 
       // VRPSolutionView
@@ -142,4 +138,5 @@
       this.valueTabPage.ResumeLayout(false);
       this.tourGroupBox.ResumeLayout(false);
+      ((System.ComponentModel.ISupportInitialize)(this.tourGridView)).EndInit();
       this.ResumeLayout(false);
 
@@ -153,5 +150,5 @@
     private System.Windows.Forms.TabPage valueTabPage;
     private System.Windows.Forms.GroupBox tourGroupBox;
-    private MainForm.WindowsForms.ViewHost tourViewHost;
+    private System.Windows.Forms.DataGridView tourGridView;
 
 
Index: /branches/VRP/HeuristicLab.Problems.VehicleRouting.Views/3.3/VRPSolutionView.cs
===================================================================
--- /branches/VRP/HeuristicLab.Problems.VehicleRouting.Views/3.3/VRPSolutionView.cs	(revision 4348)
+++ /branches/VRP/HeuristicLab.Problems.VehicleRouting.Views/3.3/VRPSolutionView.cs	(revision 4349)
@@ -28,4 +28,5 @@
 using HeuristicLab.Problems.VehicleRouting.Encodings;
 using HeuristicLab.Parameters;
+using System.Linq;
 
 namespace HeuristicLab.Problems.VehicleRouting.Views {
@@ -68,5 +69,5 @@
       } else {
         GenerateImage();
-        tourViewHost.Content = Content.Solution;
+        UpdateTourView();
       }
     }
@@ -81,4 +82,20 @@
       pictureBox.Enabled = Content != null;
       tourGroupBox.Enabled = Content != null;
+    }
+
+    private void UpdateTourView() {
+      tourGridView.Rows.Clear();
+      tourGridView.ColumnCount = Content.Coordinates.Rows - 1;
+
+      if (Content != null && Content.Solution != null) {
+        foreach (Tour tour in Content.Solution.GetTours(new ValueLookupParameter<DoubleMatrix>("DistanceMatrix", Content.DistanceMatrix))) {
+          int row = tourGridView.Rows.Add();
+          int cell = 0;
+          foreach (int city in tour.Cities) {
+            tourGridView.Rows[row].Cells[cell].Value = city;
+            cell++;
+          }
+        }
+      }
     }
 
@@ -203,5 +220,5 @@
       else {
         GenerateImage();
-        tourViewHost.Content = Content.Solution;
+        UpdateTourView();
       }
     }