Index: branches/VRP/HeuristicLab/3.3/Files.txt
===================================================================
--- branches/VRP/HeuristicLab/3.3/Files.txt	(revision 4356)
+++ branches/VRP/HeuristicLab/3.3/Files.txt	(revision 4356)
@@ -0,0 +1,102 @@
+﻿; This line is skipped. DO NOT TOUCH THIS line!
+; List of project directories and file names separated by ':' that are part of the installation
+
+HeuristicLab.PluginInfrastructure\3.3:ICSharpCode.SharpZipLib.dll
+HeuristicLab.PluginInfrastructure\3.3:ICSharpCode.SharpZipLib License.txt
+HeuristicLab.Algorithms.DataAnalysis\3.3:HeuristicLab.Algorithms.DataAnalysis-3.3.dll
+HeuristicLab.Algorithms.EvolutionStrategy\3.3:HeuristicLab.Algorithms.EvolutionStrategy-3.3.dll
+HeuristicLab.Algorithms.GeneticAlgorithm\3.3:HeuristicLab.Algorithms.GeneticAlgorithm-3.3.dll
+HeuristicLab.Algorithms.LocalSearch\3.3:HeuristicLab.Algorithms.LocalSearch-3.3.dll
+HeuristicLab.Algorithms.NSGA2\3.3:HeuristicLab.Algorithms.NSGA2-3.3.dll
+HeuristicLab.Algorithms.OffspringSelectionGeneticAlgorithm\3.3:HeuristicLab.Algorithms.OffspringSelectionGeneticAlgorithm-3.3.dll
+HeuristicLab.Algorithms.ParticleSwarmOptimization\3.3:HeuristicLab.Algorithms.ParticleSwarmOptimization-3.3.dll
+HeuristicLab.Algorithms.SimulatedAnnealing\3.3:HeuristicLab.Algorithms.SimulatedAnnealing-3.3.dll
+HeuristicLab.Algorithms.TabuSearch\3.3:HeuristicLab.Algorithms.TabuSearch-3.3.dll
+HeuristicLab.Analysis\3.3:HeuristicLab.Analysis-3.3.dll
+HeuristicLab.Analysis.Views\3.3:HeuristicLab.Analysis.Views-3.3.dll
+HeuristicLab.CodeEditor\3.3:HeuristicLab.CodeEditor-3.3.dll
+HeuristicLab.Collections\3.3:HeuristicLab.Collections-3.3.dll
+HeuristicLab.Common\3.3:HeuristicLab.Common-3.3.dll
+HeuristicLab.Common.Resources\3.3:HeuristicLab.Common.Resources-3.3.dll
+HeuristicLab.Core\3.3:HeuristicLab.Core-3.3.dll
+HeuristicLab.Core.Views\3.3:HeuristicLab.Core.Views-3.3.dll
+HeuristicLab.Data\3.3:HeuristicLab.Data-3.3.dll
+HeuristicLab.Data.Views\3.3:HeuristicLab.Data.Views-3.3.dll
+HeuristicLab.Encodings.BinaryVectorEncoding\3.3:HeuristicLab.Encodings.BinaryVectorEncoding-3.3.dll
+HeuristicLab.Encodings.IntegerVectorEncoding\3.3:HeuristicLab.Encodings.IntegerVectorEncoding-3.3.dll
+HeuristicLab.Encodings.PermutationEncoding\3.3:HeuristicLab.Encodings.PermutationEncoding-3.3.dll
+HeuristicLab.Encodings.PermutationEncoding.Views\3.3:HeuristicLab.Encodings.PermutationEncoding.Views-3.3.dll
+HeuristicLab.Encodings.RealVectorEncoding\3.3:HeuristicLab.Encodings.RealVectorEncoding-3.3.dll
+HeuristicLab.Encodings.SymbolicExpressionTreeEncoding\3.3:HeuristicLab.Encodings.SymbolicExpressionTreeEncoding-3.3.dll
+HeuristicLab.Encodings.SymbolicExpressionTreeEncoding.Views\3.3:HeuristicLab.Encodings.SymbolicExpressionTreeEncoding.Views-3.3.dll
+HeuristicLab.MainForm\3.3:HeuristicLab.MainForm-3.3.dll
+HeuristicLab.MainForm.WindowsForms\3.3:HeuristicLab.MainForm.WindowsForms-3.3.dll
+HeuristicLab.Operators\3.3:HeuristicLab.Operators-3.3.dll
+HeuristicLab.Operators.Views\3.3:HeuristicLab.Operators.Views-3.3.dll
+HeuristicLab.Operators.Views.GraphVisualization\3.3:HeuristicLab.Operators.Views.GraphVisualization-3.3.dll
+HeuristicLab.Operators.Programmable\3.3:HeuristicLab.Operators.Programmable-3.3.dll
+HeuristicLab.Optimization\3.3:HeuristicLab.Optimization-3.3.dll
+HeuristicLab.Optimization.Operators\3.3:HeuristicLab.Optimization.Operators-3.3.dll
+HeuristicLab.Optimization.Views\3.3:HeuristicLab.Optimization.Views-3.3.dll
+HeuristicLab.Optimizer\3.3:HeuristicLab.Optimizer-3.3.dll
+HeuristicLab.Parameters\3.3:HeuristicLab.Parameters-3.3.dll
+HeuristicLab.Parameters.Views\3.3:HeuristicLab.Parameters.Views-3.3.dll
+HeuristicLab.Persistence\3.3:HeuristicLab.Persistence-3.3.dll
+HeuristicLab.Persistence.GUI\3.3:HeuristicLab.Persistence.GUI-3.3.dll
+HeuristicLab.Problems.ArtificialAnt\3.3:HeuristicLab.Problems.ArtificialAnt-3.3.dll
+HeuristicLab.Problems.ArtificialAnt.Views\3.3:HeuristicLab.Problems.ArtificialAnt.Views-3.3.dll
+HeuristicLab.Problems.DataAnalysis\3.3:HeuristicLab.Problems.DataAnalysis-3.3.dll
+HeuristicLab.Problems.DataAnalysis.FeatureSelection\3.3:HeuristicLab.Problems.DataAnalysis.FeatureSelection-3.3.dll
+HeuristicLab.Problems.DataAnalysis.Regression\3.3:HeuristicLab.Problems.DataAnalysis.Regression-3.3.dll
+HeuristicLab.Problems.DataAnalysis.Views\3.3:HeuristicLab.Problems.DataAnalysis.Views-3.3.dll
+HeuristicLab.Problems.ExternalEvaluation\3.3:HeuristicLab.Problems.ExternalEvaluation-3.3.dll
+HeuristicLab.Problems.ExternalEvaluation.Views\3.3:HeuristicLab.Problems.ExternalEvaluation.Views-3.3.dll
+HeuristicLab.Problems.ExternalEvaluation.GP\3.3:HeuristicLab.Problems.ExternalEvaluation.GP-3.3.dll
+HeuristicLab.Problems.ExternalEvaluation.GP.Views\3.3:HeuristicLab.Problems.ExternalEvaluation.GP.Views-3.3.dll
+HeuristicLab.Problems.Knapsack\3.3:HeuristicLab.Problems.Knapsack-3.3.dll
+HeuristicLab.Problems.Knapsack.Views\3.3:HeuristicLab.Problems.Knapsack.Views-3.3.dll
+HeuristicLab.Problems.OneMax\3.3:HeuristicLab.Problems.OneMax-3.3.dll
+HeuristicLab.Problems.OneMax.Views\3.3:HeuristicLab.Problems.OneMax.Views-3.3.dll
+HeuristicLab.Problems.TestFunctions\3.3:HeuristicLab.Problems.TestFunctions-3.3.dll
+HeuristicLab.Problems.TestFunctions.Views\3.3:HeuristicLab.Problems.TestFunctions.Views-3.3.dll
+HeuristicLab.Problems.TravelingSalesman\3.3:HeuristicLab.Problems.TravelingSalesman-3.3.dll
+HeuristicLab.Problems.TravelingSalesman.Views\3.3:HeuristicLab.Problems.TravelingSalesman.Views-3.3.dll
+HeuristicLab.Problems.VehicleRouting\3.3:HeuristicLab.Problems.VehicleRouting-3.3.dll
+HeuristicLab.Problems.VehicleRouting.Views\3.3:HeuristicLab.Problems.VehicleRouting.Views-3.3.dll
+HeuristicLab.Random\3.3:HeuristicLab.Random-3.3.dll
+HeuristicLab.Selection\3.3:HeuristicLab.Selection-3.3.dll
+HeuristicLab.SequentialEngine\3.3:HeuristicLab.SequentialEngine-3.3.dll
+HeuristicLab.Tracing\3.3:HeuristicLab.Tracing-3.3.dll
+HeuristicLab.Tracing\3.3:HeuristicLab.log4net.xml
+
+;External Libraries
+HeuristicLab.ExtLibs\HeuristicLab.ALGLIB\2.5.0\ALGLIB-2.5.0:ALGLIB-2.5.0.dll
+HeuristicLab.ExtLibs\HeuristicLab.ALGLIB\2.5.0\HeuristicLab.ALGLIB-2.5.0:HeuristicLab.ALGLIb-2.5.0.dll
+HeuristicLab.ExtLibs\HeuristicLab.ALGLIB\2.5.0\HeuristicLab.ALGLIB-2.5.0:ALGLIB License-2.5.0.txt
+HeuristicLab.ExtLibs\HeuristicLab.LibSVM\1.6.3\HeuristicLab.LibSVM-1.6.3:HeuristicLab.LibSVM-1.6.3.dll
+HeuristicLab.ExtLibs\HeuristicLab.LibSVM\1.6.3\HeuristicLab.LibSVM-1.6.3:LibSVM-1.6.3.dll
+HeuristicLab.ExtLibs\HeuristicLab.LibSVM\1.6.3\HeuristicLab.LibSVM-1.6.3:SVM.NET-1.6.3 License.txt
+
+HeuristicLab.ExtLibs\HeuristicLab.log4net\1.2.10.0:HeuristicLab.log4net-1.2.10.0.dll
+HeuristicLab.ExtLibs\HeuristicLab.log4net\1.2.10.0:log4net.dll
+HeuristicLab.ExtLibs\HeuristicLab.log4net\1.2.10.0:log4net License.txt
+
+HeuristicLab.ExtLibs\HeuristicLab.Netron\3.0.2672.12446\Netron.Diagramming.Core-3.0.2672.12446:Netron.Diagramming.Core-3.0.2672.12446.dll
+HeuristicLab.ExtLibs\HeuristicLab.Netron\3.0.2672.12446\HeuristicLab.Netron-3.0.2672.12446:HeuristicLab.Netron-3.0.2672.12446.dll
+HeuristicLab.ExtLibs\HeuristicLab.Netron\3.0.2672.12446\HeuristicLab.Netron-3.0.2672.12446:Netron.Diagramming.Core License.txt
+
+HeuristicLab.ExtLibs\HeuristicLab.ProtobufCS\0.9.1\HeuristicLab.ProtobufCS:HeuristicLab.ProtobufCS-0.9.1.dll
+HeuristicLab.ExtLibs\HeuristicLab.ProtobufCS\0.9.1\HeuristicLab.ProtobufCS:Google.ProtocolBuffers-0.9.1.dll
+HeuristicLab.ExtLibs\HeuristicLab.ProtobufCS\0.9.1\HeuristicLab.ProtobufCS:Google.ProtocolBuffers-license-0.9.1.txt
+
+HeuristicLab.ExtLibs\HeuristicLab.SharpDevelop\3.1.1.5327:HeuristicLab.SharpDevelop-3.1.1.5327.dll
+HeuristicLab.ExtLibs\HeuristicLab.SharpDevelop\3.1.1.5327:ICSharpCode.NRefactory.dll
+HeuristicLab.ExtLibs\HeuristicLab.SharpDevelop\3.1.1.5327:ICSharpCode.SharpDevelop.Dom.dll
+HeuristicLab.ExtLibs\HeuristicLab.SharpDevelop\3.1.1.5327:ICSharpCode.TextEditor.dll
+HeuristicLab.ExtLibs\HeuristicLab.SharpDevelop\3.1.1.5327:Mono.Cecil.dll
+HeuristicLab.ExtLibs\HeuristicLab.SharpDevelop\3.1.1.5327:Mono License.txt
+HeuristicLab.ExtLibs\HeuristicLab.SharpDevelop\3.1.1.5327:SharpDevelop License.txt
+
+HeuristicLab.ExtLibs\HeuristicLab.WinFormsUI\2.3.1\WinFormsUI-2.3.1:WeifenLuo.WinFormsUI.Docking-2.3.1.dll
+HeuristicLab.ExtLibs\HeuristicLab.WinFormsUI\2.3.1\HeuristicLab.WinFormsUI-2.3.1:HeuristicLab.WinFormsUI-2.3.1.dll
+HeuristicLab.ExtLibs\HeuristicLab.WinFormsUI\2.3.1\HeuristicLab.WinFormsUI-2.3.1:WeifenLuo.WinFormsUI.Docking License.txt