Index: /branches/VRP/HeuristicLab 3.3.sln
===================================================================
--- /branches/VRP/HeuristicLab 3.3.sln	(revision 4360)
+++ /branches/VRP/HeuristicLab 3.3.sln	(revision 4361)
@@ -315,4 +315,8 @@
 EndProject
 Project("{FAE04EC0-301F-11D3-BF4B-00C04F79EFBC}") = "HeuristicLab.Problems.ExternalEvaluation.GP.Views-3.3", "HeuristicLab.Problems.ExternalEvaluation.GP.Views\3.3\HeuristicLab.Problems.ExternalEvaluation.GP.Views-3.3.csproj", "{1778134B-866B-4CB3-BFC0-52B2FAAA5777}"
+EndProject
+Project("{FAE04EC0-301F-11D3-BF4B-00C04F79EFBC}") = "HeuristicLab.Problems.VehicleRouting-3.4", "HeuristicLab.Problems.VehicleRouting\3.4\HeuristicLab.Problems.VehicleRouting-3.4.csproj", "{B94FFB82-43D4-40AB-9980-B03470ADF221}"
+EndProject
+Project("{FAE04EC0-301F-11D3-BF4B-00C04F79EFBC}") = "HeuristicLab.Problems.VehicleRouting.Views-3.4", "HeuristicLab.Problems.VehicleRouting.Views\3.4\HeuristicLab.Problems.VehicleRouting.Views-3.4.csproj", "{7EA0985E-A1D6-4FA7-B30A-2633FDFB01F0}"
 EndProject
 Global
@@ -1421,4 +1425,28 @@
 		{1778134B-866B-4CB3-BFC0-52B2FAAA5777}.Release|x86.ActiveCfg = Release|x86
 		{1778134B-866B-4CB3-BFC0-52B2FAAA5777}.Release|x86.Build.0 = Release|x86
+		{B94FFB82-43D4-40AB-9980-B03470ADF221}.Debug|Any CPU.ActiveCfg = Debug|Any CPU
+		{B94FFB82-43D4-40AB-9980-B03470ADF221}.Debug|Any CPU.Build.0 = Debug|Any CPU
+		{B94FFB82-43D4-40AB-9980-B03470ADF221}.Debug|x64.ActiveCfg = Debug|x64
+		{B94FFB82-43D4-40AB-9980-B03470ADF221}.Debug|x64.Build.0 = Debug|x64
+		{B94FFB82-43D4-40AB-9980-B03470ADF221}.Debug|x86.ActiveCfg = Debug|x86
+		{B94FFB82-43D4-40AB-9980-B03470ADF221}.Debug|x86.Build.0 = Debug|x86
+		{B94FFB82-43D4-40AB-9980-B03470ADF221}.Release|Any CPU.ActiveCfg = Release|Any CPU
+		{B94FFB82-43D4-40AB-9980-B03470ADF221}.Release|Any CPU.Build.0 = Release|Any CPU
+		{B94FFB82-43D4-40AB-9980-B03470ADF221}.Release|x64.ActiveCfg = Release|x64
+		{B94FFB82-43D4-40AB-9980-B03470ADF221}.Release|x64.Build.0 = Release|x64
+		{B94FFB82-43D4-40AB-9980-B03470ADF221}.Release|x86.ActiveCfg = Release|x86
+		{B94FFB82-43D4-40AB-9980-B03470ADF221}.Release|x86.Build.0 = Release|x86
+		{7EA0985E-A1D6-4FA7-B30A-2633FDFB01F0}.Debug|Any CPU.ActiveCfg = Debug|Any CPU
+		{7EA0985E-A1D6-4FA7-B30A-2633FDFB01F0}.Debug|Any CPU.Build.0 = Debug|Any CPU
+		{7EA0985E-A1D6-4FA7-B30A-2633FDFB01F0}.Debug|x64.ActiveCfg = Debug|x64
+		{7EA0985E-A1D6-4FA7-B30A-2633FDFB01F0}.Debug|x64.Build.0 = Debug|x64
+		{7EA0985E-A1D6-4FA7-B30A-2633FDFB01F0}.Debug|x86.ActiveCfg = Debug|x86
+		{7EA0985E-A1D6-4FA7-B30A-2633FDFB01F0}.Debug|x86.Build.0 = Debug|x86
+		{7EA0985E-A1D6-4FA7-B30A-2633FDFB01F0}.Release|Any CPU.ActiveCfg = Release|Any CPU
+		{7EA0985E-A1D6-4FA7-B30A-2633FDFB01F0}.Release|Any CPU.Build.0 = Release|Any CPU
+		{7EA0985E-A1D6-4FA7-B30A-2633FDFB01F0}.Release|x64.ActiveCfg = Release|x64
+		{7EA0985E-A1D6-4FA7-B30A-2633FDFB01F0}.Release|x64.Build.0 = Release|x64
+		{7EA0985E-A1D6-4FA7-B30A-2633FDFB01F0}.Release|x86.ActiveCfg = Release|x86
+		{7EA0985E-A1D6-4FA7-B30A-2633FDFB01F0}.Release|x86.Build.0 = Release|x86
 	EndGlobalSection
 	GlobalSection(SolutionProperties) = preSolution
Index: /branches/VRP/HeuristicLab.Problems.VehicleRouting.Views/3.4/HeuristicLab.Problems.VehicleRouting.Views-3.4.csproj
===================================================================
--- /branches/VRP/HeuristicLab.Problems.VehicleRouting.Views/3.4/HeuristicLab.Problems.VehicleRouting.Views-3.4.csproj	(revision 4360)
+++ /branches/VRP/HeuristicLab.Problems.VehicleRouting.Views/3.4/HeuristicLab.Problems.VehicleRouting.Views-3.4.csproj	(revision 4361)
@@ -6,5 +6,5 @@
     <ProductVersion>9.0.30729</ProductVersion>
     <SchemaVersion>2.0</SchemaVersion>
-    <ProjectGuid>{D1386FE7-682D-4E18-8C4F-CFD423FA5DD0}</ProjectGuid>
+    <ProjectGuid>{7EA0985E-A1D6-4FA7-B30A-2633FDFB01F0}</ProjectGuid>
     <OutputType>Library</OutputType>
     <AppDesignerFolder>Properties</AppDesignerFolder>
Index: /branches/VRP/HeuristicLab.Problems.VehicleRouting.Views/3.4/HeuristicLabProblemsVehicleRoutingViewsPlugin.cs
===================================================================
--- /branches/VRP/HeuristicLab.Problems.VehicleRouting.Views/3.4/HeuristicLabProblemsVehicleRoutingViewsPlugin.cs	(revision 4360)
+++ /branches/VRP/HeuristicLab.Problems.VehicleRouting.Views/3.4/HeuristicLabProblemsVehicleRoutingViewsPlugin.cs	(revision 4361)
@@ -26,6 +26,6 @@
   /// Plugin class for HeuristicLab.Problems.VehicleRouting.Views plugin
   /// </summary>
-  [Plugin("HeuristicLab.Problems.VehicleRouting.Views", "3.4.0.4351")]
-  [PluginFile("HeuristicLab.Problems.VehicleRouting.Views-3.3.dll", PluginFileType.Assembly)]
+  [Plugin("HeuristicLab.Problems.VehicleRouting.Views", "3.4.0.4359")]
+  [PluginFile("HeuristicLab.Problems.VehicleRouting.Views-3.4.dll", PluginFileType.Assembly)]
   [PluginDependency("HeuristicLab.Collections", "3.3")]
   [PluginDependency("HeuristicLab.Common", "3.3")]
@@ -40,5 +40,5 @@
   [PluginDependency("HeuristicLab.Optimization.Views", "3.3")]
   [PluginDependency("HeuristicLab.Parameters", "3.3")]
-  [PluginDependency("HeuristicLab.Problems.VehicleRouting", "3.3")]
+  [PluginDependency("HeuristicLab.Problems.VehicleRouting", "3.4")]
   public class HeuristicLabProblemsVehicleRoutingViewsPlugin : PluginBase {
   }
Index: /branches/VRP/HeuristicLab.Problems.VehicleRouting.Views/3.4/Properties/AssemblyInfo.frame
===================================================================
--- /branches/VRP/HeuristicLab.Problems.VehicleRouting.Views/3.4/Properties/AssemblyInfo.frame	(revision 4360)
+++ /branches/VRP/HeuristicLab.Problems.VehicleRouting.Views/3.4/Properties/AssemblyInfo.frame	(revision 4361)
@@ -41,5 +41,5 @@
 
 // The following GUID is for the ID of the typelib if this project is exposed to COM
-[assembly: Guid("AC7EDFF5-27EE-4af3-BA29-721874195CFB")]
+[assembly: Guid("B275C45E-790A-45C2-907F-DFF8E5F0C28E")]
 
 // Version information for an assembly consists of the following four values:
@@ -52,4 +52,4 @@
 // You can specify all the values or you can default the Revision and Build Numbers 
 // by using the '*' as shown below:
-[assembly: AssemblyVersion("3.3.0.0")]
-[assembly: AssemblyFileVersion("3.3.0.$WCREV$")]
+[assembly: AssemblyVersion("3.4.0.0")]
+[assembly: AssemblyFileVersion("3.4.0.$WCREV$")]
Index: /branches/VRP/HeuristicLab.Problems.VehicleRouting/3.4/HeuristicLab.Problems.VehicleRouting-3.4.csproj
===================================================================
--- /branches/VRP/HeuristicLab.Problems.VehicleRouting/3.4/HeuristicLab.Problems.VehicleRouting-3.4.csproj	(revision 4360)
+++ /branches/VRP/HeuristicLab.Problems.VehicleRouting/3.4/HeuristicLab.Problems.VehicleRouting-3.4.csproj	(revision 4361)
@@ -6,5 +6,5 @@
     <ProductVersion>9.0.30729</ProductVersion>
     <SchemaVersion>2.0</SchemaVersion>
-    <ProjectGuid>{6410BDA6-3641-42B2-BABA-AA626E2F6F71}</ProjectGuid>
+    <ProjectGuid>{B94FFB82-43D4-40AB-9980-B03470ADF221}</ProjectGuid>
     <OutputType>Library</OutputType>
     <AppDesignerFolder>Properties</AppDesignerFolder>
Index: /branches/VRP/HeuristicLab.Problems.VehicleRouting/3.4/HeuristicLabProblemsVehicleRoutingPlugin.cs
===================================================================
--- /branches/VRP/HeuristicLab.Problems.VehicleRouting/3.4/HeuristicLabProblemsVehicleRoutingPlugin.cs	(revision 4360)
+++ /branches/VRP/HeuristicLab.Problems.VehicleRouting/3.4/HeuristicLabProblemsVehicleRoutingPlugin.cs	(revision 4361)
@@ -26,6 +26,6 @@
   /// Plugin class for HeuristicLab.Problems.VehicleRouting plugin
   /// </summary>
-  [Plugin("HeuristicLab.Problems.VehicleRouting", "3.4.0.4347")]
-  [PluginFile("HeuristicLab.Problems.VehicleRouting-3.3.dll", PluginFileType.Assembly)]
+  [Plugin("HeuristicLab.Problems.VehicleRouting", "3.4.0.4360")]
+  [PluginFile("HeuristicLab.Problems.VehicleRouting-3.4.dll", PluginFileType.Assembly)]
   [PluginDependency("HeuristicLab.Analysis", "3.3")]
   [PluginDependency("HeuristicLab.Collections", "3.3")]
Index: /branches/VRP/HeuristicLab.Problems.VehicleRouting/3.4/Properties/AssemblyInfo.frame
===================================================================
--- /branches/VRP/HeuristicLab.Problems.VehicleRouting/3.4/Properties/AssemblyInfo.frame	(revision 4360)
+++ /branches/VRP/HeuristicLab.Problems.VehicleRouting/3.4/Properties/AssemblyInfo.frame	(revision 4361)
@@ -41,5 +41,5 @@
 
 // The following GUID is for the ID of the typelib if this project is exposed to COM
-[assembly: Guid("91E21AF8-7C70-48de-A71B-6422ABB33764")]
+[assembly: Guid("10E4FF40-80AF-4C6F-93EE-B30E818BBFA2")]
 
 // Version information for an assembly consists of the following four values:
@@ -52,4 +52,4 @@
 // You can specify all the values or you can default the Revision and Build Numbers 
 // by using the '*' as shown below:
-[assembly: AssemblyVersion("3.3.0.0")]
-[assembly: AssemblyFileVersion("3.3.0.$WCREV$")]
+[assembly: AssemblyVersion("3.4.0.0")]
+[assembly: AssemblyFileVersion("3.4.0.$WCREV$")]
Index: /branches/VRP/HeuristicLab/3.3/Files.txt
===================================================================
--- /branches/VRP/HeuristicLab/3.3/Files.txt	(revision 4360)
+++ /branches/VRP/HeuristicLab/3.3/Files.txt	(revision 4361)
@@ -62,6 +62,6 @@
 HeuristicLab.Problems.TravelingSalesman\3.3:HeuristicLab.Problems.TravelingSalesman-3.3.dll
 HeuristicLab.Problems.TravelingSalesman.Views\3.3:HeuristicLab.Problems.TravelingSalesman.Views-3.3.dll
-HeuristicLab.Problems.VehicleRouting\3.3:HeuristicLab.Problems.VehicleRouting-3.3.dll
-HeuristicLab.Problems.VehicleRouting.Views\3.3:HeuristicLab.Problems.VehicleRouting.Views-3.3.dll
+HeuristicLab.Problems.VehicleRouting\3.4:HeuristicLab.Problems.VehicleRouting-3.4.dll
+HeuristicLab.Problems.VehicleRouting.Views\3.4:HeuristicLab.Problems.VehicleRouting.Views-3.4.dll
 HeuristicLab.Random\3.3:HeuristicLab.Random-3.3.dll
 HeuristicLab.Selection\3.3:HeuristicLab.Selection-3.3.dll